Upgrade to httpbin 0.10.0 (#6496)

diff --git a/.github/workflows/run-tests.yml b/.github/workflows/run-tests.yml
index d6197a6..4a15160 100644
--- a/.github/workflows/run-tests.yml
+++ b/.github/workflows/run-tests.yml
@@ -26,6 +26,7 @@
       uses: actions/setup-python@61a6322f88396a6271a6ee3565807d608ecaddd1 # v4.7.0
       with:
         python-version: ${{ matrix.python-version }}
+        cache: 'pip'
     - name: Install dependencies
       run: |
         make
diff --git a/requirements-dev.txt b/requirements-dev.txt
index d626373..c24a6bc 100644
--- a/requirements-dev.txt
+++ b/requirements-dev.txt
@@ -3,11 +3,7 @@
 pytest-cov
 pytest-httpbin==2.0.0
 pytest-mock==2.0.0
-httpbin==0.7.0
+httpbin==0.10.0
 trustme
 wheel
 cryptography<40.0.0; python_version <= '3.7' and platform_python_implementation == 'PyPy'
-
-# Flask Stack
-Flask>1.0,<2.0
-markupsafe<2.1